/// <reference types="react" />
import { StoreObserver } from "reuni";
import * as React from "react";
import Connector from "./Connector";
export declare class Mount<P extends PP, PP> {
    _Component: React.ComponentType<P>;
    _nodeName: string | null | undefined;
    _stores: [string, new () => any, StoreObserver<any> | null | undefined][];
    _storeObserver: StoreObserver<any>;
    _thread: symbol;
    constructor(Component: React.ComponentType<P>, storeObserver: StoreObserver<PP>, thread: symbol, nodeName?: string);
    addStore(storeName: string, RawStore: new () => any, storeOb?: StoreObserver<any>): this;
    toHOC(): (props: Pick<P, ({
        [P in keyof P]: P;
    } & {
        [P in keyof PP]: never;
    } & {
        [x: string]: never;
    })[keyof P]>) => React.ComponentElement<{
        Component: React.ComponentType<any>;
        childProps: any;
        storeObserver: StoreObserver<any>;
        nodeName?: string | null | undefined;
        thread: symbol;
        stores: [string, new () => any, StoreObserver<any> | null | undefined][];
        id?: string | null | undefined;
    }, Connector>;
}
export default function createMount(thread?: symbol): <P extends PP, PP>(Component: React.ComponentType<P>, storeObserver: StoreObserver<PP>, nodeName?: string | undefined) => Mount<P, PP>;
